ssl_certificate

Unsettled API - An SSL certificate. More...

`#include <ssl.hpp>`

## Public Member Functions

| ssl_certificate (const std::string &certdb_main)
| Create an SSL certificate.
| ssl_certificate (const std::string &certdb_main, const std::string &certdb_extra)
| Create an SSL certificate. More...
| ssl_certificate (const std::string &certdb_main, const std::string &certdb_extra, const std::string &passwd)
| Create an SSL certificate. More...

## Detailed Description

Unsettled API - An SSL certificate.

## Constructor & Destructor Documentation

## ssl_certificate() [1/2]

ssl_certificate | ( | const std::string & | certdb_main,
|  | const std::string & | certdb_extra
| ) |  |

Create an SSL certificate.

## ssl_certificate() [2/2]

ssl_certificate | ( | const std::string & | certdb_main,
|  | const std::string & | certdb_extra,
|  | const std::string & | passwd
| ) |  |

Create an SSL certificate.

The documentation for this class was generated from the following file:

- proton/ssl.hpp